package cn.vscoder.experiment_3.book;

public class RentBook extends Book {
    private String bookNo;//入库编号
    private boolean state;//是否可借 true:可借

    public RentBook(String ISBN, String bookName, String author, String publisher, double price, String bookNo) {
        super(ISBN, bookName, author, publisher, price);
        this.bookNo = bookNo;
        state = true;//默认可借
    }

    public String getBookNo() {
        return bookNo;
    }

    public void setBookNo(String bookNo) {
        this.bookNo = bookNo;
    }

    public boolean isState() {
        return state;
    }

    public void setState(boolean state) {
        this.state = state;
    }

    @Override
    public String toString() {
        return super.toString() +
                ",入库编号='" + bookNo + '\'' +
                ", 是否可借=" + state;
    }
}
